Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.simpledouble
Class SimpleDoubleScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.simpledouble.SimpleDoubleScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class SimpleDoubleScoreHolder

extends AbstractScoreHolder

WARNING: NOT RECOMMENDED TO USE DUE TO ROUNDING ERRORS THAT CAUSE SCORE CORRUPTION. Use `SimpleDoubleScoreHolder` instead.

See Also:
  `SimpleDoubleScore`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`AbstractScoreHolder.BigDecimalConstraintUndoListener, AbstractScoreHolder.DoubleConstraintUndoListener, AbstractScoreHolder.IntConstraintUndoListener, AbstractScoreHolder.LongConstraintUndoListener`

Field Summary
`protected double` | `score`

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`SimpleDoubleScoreHolder(boolean constraintMatchEnabled)`

Method Summary
`void` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, double weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`double` | `getScore()`
`void` | `setScore(double score)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### score

    protected double score

Constructor Detail

### SimpleDoubleScoreHolder

    public SimpleDoubleScoreHolder(boolean constraintMatchEnabled)

Method Detail

### getScore

    public double getScore()

### setScore

    @Deprecated
    public void setScore(double score)

  Deprecated.

### addConstraintMatch

    public void addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                   double weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.